> ## Documentation Index
> Fetch the complete documentation index at: https://forward-amaranth-cod.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 회사 생성

> 회사를 생성합니다.

### Header

<ParamField header="Authorization" type="string" required="true">
  Bearer 토큰을 포함한 인증 헤더입니다.
</ParamField>

### Body

<ParamField body="name" type="string" required="true">
  회사의 이름을 설정합니다. 같은 이름의 회사가 이미 존재하는 경우 생성할 수 없습니다.
</ParamField>

<ParamField body="fieldList" type="json">
  회사의 이름을 제외한 필드값을 설정합니다. 세일즈맵 탭에서 \[회사 설정] - \[데이터 필드 관리]을 클릭하면 회사의 데이터 필드를 확인할 수 있습니다.

  name 에는 field 의 이름을 입력합니다.

  field 의 유형이 텍스트나 단일 선택인 경우에는 stringValue 에 값을 설정하고, field 의 유형이 숫자인 경우에는 numberValue 에 값을 설정하고, field 의 유형이 날짜인 경우에는 dateValue 에 값을 설정합니다.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  요청을 성공적으로 완료한 경우 true, 실패한 경우 false 입니다.
</ResponseField>

<ResponseField name="data" type="object">
  생성한 회사 정보입니다.

  <Expandable title="회사 정보 데이터">
    <ResponseField name="id" type="string">
      회사의 고유 id 입니다. 고객이나 리드를 생성할 때 사용합니다.
    </ResponseField>

    <ResponseField name="name" type="string">
      생성한 회사의 이름입니다.
    </ResponseField>

    <ResponseField name="createdAt" type="date">
      회사가 생성된 날짜입니다.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request
  curl --location 'https://salesmap.kr/api/v1/organization' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>' \
  --data '{
    "name": "Example_Organization"
    "fieldList": [
      {"name":"주소", "stringValue":"서울시 강남구"},
      {"name":"직원수", "numberValue":"15"},
    ]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response
  {
    "success": true,
    "data": {
      "id": "64510d08afa4b4ecff05c336",
      "name": "Example_Organization",
      "createdAt": "2023-05-02T13:15:52.881Z"
    }
  }
  ```
</ResponseExample>
